%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                                                       %%
%% Copyright (C) 2013 Texas Instruments Incorporated - http://www.ti.com %%
%%                                                                       %%
%% Author: Felipe Balbi <balbi@ti.com>                                   %%
%%                                                                       %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\chapter{Roles}
\label{chap:roles}

\section{ScrumMaster}
\label{sec:scrummaster}

\paragraph{}
Defined as the \textit{facilitator}\cite{apmws} whose tasks involve making sure
it -- \textit{Scrum} -- is used correctly\cite{wikipediascrum}, this role is
all about clearing road blocks so the team can shine and be successful.

\paragraph{}
The ScrumMaster is supposed to be knowledgeable in Scrum rules and use his or
her knowledge to coach and direct the team in applying Scrum practices in their
work flow. He or she also works together with the Product Owner on task
prioritization targeting good quality and early delivery of the end product.

\paragraph{}
The ScrumMaster is not responsible for assigning tasks to team members, but
is instead a coach of the team meant to help guide their efforts and enable
their work.  For more information see section \ref{sec:the-team}.

\section{Product Owner}
\label{sec:product-owner}

\paragraph{}
He or she represents the customer and is responsible for maintaining the
product backlog\cite{wikipediascrum}.

\paragraph{}
While working together with the ScrumMaster, the Product Owner helps define
which tasks should be prioritized for this sprint. He or she also makes sure
the Product Backlog is a living entity which can change at any time as long it
doesn't touch the sprint.

\paragraph{}
The product owner seeks to maximize the 'bang for buck' by making sure that the
highest priority backlog items deliver the greatest value for the amount of
development effort.  Within \textit{LCPD} this may entail prioritizing the
upstreaming of a feature over the development of a new feature because the
technical debt of missing that window is greater than the value of the new
feature.

\section{The Team}
\label{sec:the-team}

\paragraph{}
Composed of everyone doing actual engineering work, the Scrum team is
responsible for estimating and delivering implementations.  The team members
are part of a self-directed team and sign up for the tasks they feel they
can accomplish within the Sprint.  The team as a whole acts together to
deliver as much \textit{'done'} functionality in a Sprint as possible.  This
inherently means that a large amount of trust and responsibility for the
product resides within the Scrum teams.

\paragraph{}
Whenever a roadblock shows up, the team is required to notify their ScrumMaster
about the issues so it can be solved as soon as possible.

\section{The Functional Manager}
\label{sec:the-functional-manager}

\paragraph{}
Available to help the team and the ScrumMaster \ref{sec:scrummaster} to clear
up \textit{organizational} road blocks, acquire and ship development platforms,
and handle administrative and HR processes.

\paragraph{}
Functional Managers will not have the ability to set and/or change priorities
while he or she can work with Product Owner and ScrumMasters to clarify
business needs for each feature. It is Product Owner's responsibility's,
however, to set forth priorities based on business needs.
